Printing Automation

Discussion in 'AutoCAD' started by Greg Beath, Oct 15, 2004.

  1. Greg Beath

    Greg Beath Guest

    I am looking for a way to automate the way that we plot our drawings.

    Our setup is such that we have our titleblock located in the exact same
    place on all of the layout tabs that we setup and use.
    We then have a couple of different page setups for various ways that we
    print our drawings (24x36, 11x17, 8.5x11 portrait, 8.5x11 landscape, etc).

    i would like to setup a way to click a button and the program would plot
    all the layout tabs with the proper page setup.

    I know vary little lisp or vba. I have looked through past posts and
    see a couple of things that are similar but not close to what i am after.

    I have a lisp setup that i use to plot the previous plot. I just
    manually switch between layout tabs and click this button, so i only have to
    use the plot menu once to select the page setup and then i am off.


    Any and all help would be greatly appreciated.

    thanks

    Greg
     
    Greg Beath, Oct 15, 2004
    #1
  2. Greg Beath

    spencer1971 Guest

    This is a section of lisp that I use for determining wether to print single or multiple tabs. It should get you started

    Set up multiplot and singleplot defuns to do what you want plotwise.

    (defun c:chkplot (/ a)
    (setq a (length (layoutlist)))
    (if (= a 1) (singleplot)
    (plotoption)
    )
    (princ)
    )

    (defun plotoption ( / chk1 )
    (prompt "\n******************************************")
    (prompt "\nThis drawing contains multiple Tab Layouts")
    (prompt "\n******************************************")
    (initget "Single Multiple")
    (setq chk1 (getkword "\nPlot Single (Current) or Multiple (All) Tabs? Single/<Multiple>: "))
    (if (= chk1 "Single")
    (singleplot)
    (multiplot)
    ))
     
    spencer1971, Oct 15, 2004
    #2
  3. Here are some lisp routines to plot to a specific printer. You will have to
    modify as needed.
    ;P5 = plot current paper space layout to HP5000 11x17
    (defun C:p5 ()
    (command "_PSPACE")
    (command "-PLOT" "Y" "" "\\\\yournetwork\\HP5000" "11x17" "I" "L" "N" "E")
    (command "F" "0,0" "Y" "YourColorTable.ctb" "Y" "Y" "N" "N" "N" "N" "Y")
    (princ "\nFinished plotting current paper space layout to HP5000.")
    (princ)
    )
    ;P5T = plot current paper space layout to HP5000 Letter
    (defun C:p5T ()
    (command "_PSPACE")
    (command "-PLOT" "Y" "" "\\\\yournetwork\\HP5000" "Letter" "I" "P" "N" "E")
    (command "1:1" "0,0" "Y" "YourColorTable.ctb" "Y" "N" "N" "N" "N" "Y" "Y")
    (princ "\nFinished plotting current paper space layout to HP5000.")
    (princ)
    )
    ;P5G = plot current paper space layout to HP5000 Legal
    (defun C:p5G ()
    (command "_PSPACE")
    (command "-PLOT" "Y" "" "\\\\yournetwork\\HP5000" "Legal" "I" "P" "N" "E")
    (command "1:1" "0,0" "Y" "YourColorTable.ctb" "Y" "N" "N" "N" "N" "Y" "Y")
    (princ "\nFinished plotting current paper space layout to HP5000.")
    (princ)
    )
    ;P5A = plot ALL paper space layouts to HP5000 at 11x17
    (defun C:p5A ()
    (foreach LL (LAYOUTLIST)
    (setvar "CTAB" LL)
    (C:p5)
    )
    (setvar "CTAB" (nth 0 (LAYOUTLIST)))
    (princ)
    )
     
    Alan Henderson @ A'cad Solutions, Oct 15, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.